Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class EliteReplacementOperation

    java.lang.Object
      Operator.Operations.EliteReplacementOperation

All Implemented Interfaces:
  Operation, ParameterI

    public class EliteReplacementOperation

extends java.lang.Object
implements Operation

EliteReplacementOperation removes the worst

Author:
  Blip

Constructor Summary
`EliteReplacementOperation(int size)` Creates a new instance of ReplacementOperation
`EliteReplacementOperation(java.util.Properties p)` Creates a new instance of ReplacementOperation

Method Summary
`void` | `doOperation(Individual operand)` Performs the operation on an operand
`void` | `doOperation(java.util.List<Individual> operand)` Sort ascending and remove the worst individuals
`int` | `getEliteSize()`
`void` | `printHelp(Fitness[] fA)`
`void` | `setProperties(java.util.Properties p)` Set properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EliteReplacementOperation

    public EliteReplacementOperation(int size)

  Creates a new instance of ReplacementOperation

  Parameters:
    `size` - size

### EliteReplacementOperation

    public EliteReplacementOperation(java.util.Properties p)

  Creates a new instance of ReplacementOperation

  Parameters:
    `p` - properties

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)

  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Parameters:
    `p` - object containing properties

### doOperation

    public void doOperation(Individual operand)

  Description copied from interface: `Operation`
  Performs the operation on an operand

  Specified by:
    `doOperation` in interface `Operation`
  Parameters:
    `operand` - operand to perform operation on

### doOperation

    public void doOperation(java.util.List<Individual> operand)

  Sort ascending and remove the worst individuals

  Specified by:
    `doOperation` in interface `Operation`
  Parameters:
    `operand` - individuals to sort

### getEliteSize

    public int getEliteSize()

### printHelp

    public void printHelp(Fitness[] fA)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD